You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data processor API
DescribeProcessorFunctions
Copy page
Download PDF
DescribeProcessorFunctions
Call the DescribeProcessorFunctions API to retrieve all data processor functions.​
Request instructions​
  • Request method: GET​
  • Request URL: https://{tls-endpoint}/DescribeProcessorFunctions​
Request parameters​
The following table lists only the parameters specific to this API and some common parameters. For more information, see Common parameters.​
Response parameters​
The following table lists only the parameters specific to this API. For more information, see Return Structure.​
​
Parameters​
Type​
Example value​
Description​
Functions​
JSON Map​
/​
Information about data processor functions.​
​
Sample request​
​
GET https://{tls-endpoint}/DescribeProcessorFunctions HTTP/1.1​
Content-Type: application/json​
​
Sample response​
​
Content-Type: application/json; charset=utf-8​
{​
"Functions": {​
"Name": "f_rename",​
"FunctionType": "Field operation function",​
"MethodSignature": "f_rename(\"key1\", \"new key1\", \"key2\", \"new key2\", ...)",​
"Description": "Call f_rename function to rename log field that meets condition",​
"Samples": [​
{​
"Index": 1,​
"Log": [​
{​
"content": "hello world!"​
}​
],​
"Script": "f_rename(\"content\",\"content_new\")",​
"Result": [​
{​
"content_new": "hello world!"​
}​
],​
"Description": "Rename the field content to content_new"​
},​
{​
"Index": 2,​
"Log": [​
{​
"content": "hello world!"​
}​
],​
"Script": "f_rename(\"field\",\"content_new\")",​
"Result": [​
{​
"content": "hello world!"​
}​
],​
"Description": "Do not rename a field when the field does not exist."​
}​
],​
"Arguments": [​
{​
"Index": 1,​
"Name": "key",​
"ArgumentType": "STRING",​
"Description": "Log field name",​
"IsNecessary": true,​
"DefaultValue": ""​
},​
{​
"Index": 2,​
"Name": "new key",​
"ArgumentType": "STRING",​
"Description": "The renamed field name",​
"IsNecessary": true,​
"DefaultValue": ""​
}​
]​
},​
{​
"Name": "f_keep",​
"FunctionType": "Field operation function",​
"MethodSignature": "f_keep(\"key1\", \"key2\", ....)",​
"Description": "Call f_keep function to keep keep log field that meets condition",​
"Samples": [​
{​
"Index": 1,​
"Log": [​
{​
"content": "hello world!",​
"language": "Java",​
"log_level": "DEBUG"​
}​
],​
"Script": "c_if(f_has(\"content\"), f_keep(\"content\", \"language\"))",​
"Result": [​
{​
"content": "hello world!",​
"language": "Java"​
}​
],​
"Description": "If the content field exists, keep content field and language field"​
}​
],​
"Arguments": [​
{​
"Index": 1,​
"Name": "key",​
"ArgumentType": "STRING",​
"Description": "Keep log field name",​
"IsNecessary": true,​
"DefaultValue": ""​
}​
]​
}​
}​
​
Error Code​
You can visit common error codes to get more error code information.​
Last updated: 2026.05.07 11:17:44